Subject: My ideas on a secure restricted Pine

From: [email-masked]
Date: 17 Dec 1997 15:54:12 -0000

I see no documentation on this subject, and nothing of relevence in the
FAQs or news/mail archives, so I was asking for help on making a
pine.conf.fixed that meets the following goals: 

* It limits users access file to files in their home directory

* It does not allow users to execute arbitrary commands.  This includes
  alternate editors, etc.  

* Meeting the above two critieron, it maximises the user's ability to
  configure and customise pine.

Here is the pine.conf.fixed file I thought of:

# no settings that would allow clever users to get at a shell prompt

display-filters=/bin/true
editor=/bin/true
speller=/usr/bin/spell
image-viewer=/bin/true
sendmail-path=/usr/lib/sendmail
sending-filters=/bin/true

# why would users need to upload files
upload-command=/bin/true

# Is this a security risk?
download-command=/usr/bin/sz

# Nor do we allow them to look at any files besides their own

operating-dir=~

-- 
"You can...turn sadness into laughter" -- Sunscreem, _Love_U_More_